Bug 1280339 - [abrt] plasma-workspace: SNIProxy::getImageNonComposite(): xembedsniproxy killed by SIGSEGV
Summary: [abrt] plasma-workspace: SNIProxy::getImageNonComposite(): xembedsniproxy kil...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-workspace
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:66c3f5656bd0c7351316eb364aa...
: 1331112 1334585 1335265 1342760 1348081 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-11 14:10 UTC by Steven A. Falco
Modified: 2016-12-20 15:40 UTC (History)
49 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 15:40:45 UTC


Attachments (Terms of Use)
File: backtrace (26.69 KB, text/plain)
2015-11-11 14:10 UTC, Steven A. Falco
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-11 14:10 UTC, Steven A. Falco
no flags Details
File: core_backtrace (6.04 KB, text/plain)
2015-11-11 14:10 UTC, Steven A. Falco
no flags Details
File: dso_list (14.12 KB, text/plain)
2015-11-11 14:10 UTC, Steven A. Falco
no flags Details
File: environ (2.69 KB, text/plain)
2015-11-11 14:10 UTC, Steven A. Falco
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-11 14:10 UTC, Steven A. Falco
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-11 14:10 UTC, Steven A. Falco
no flags Details
File: maps (62.50 KB, text/plain)
2015-11-11 14:10 UTC, Steven A. Falco
no flags Details
File: mountinfo (3.56 KB, text/plain)
2015-11-11 14:10 UTC, Steven A. Falco
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-11 14:10 UTC, Steven A. Falco
no flags Details
File: open_fds (618 bytes, text/plain)
2015-11-11 14:10 UTC, Steven A. Falco
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2015-11-11 14:10 UTC, Steven A. Falco
no flags Details
File: var_log_messages (256 bytes, text/plain)
2015-11-11 14:10 UTC, Steven A. Falco
no flags Details

Description Steven A. Falco 2015-11-11 14:10:26 UTC
Description of problem:
Rebooted FC23 system.  Didn't do anything special.

Version-Release number of selected component:
plasma-workspace-5.4.3-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/xembedsniproxy
crash_function: SNIProxy::getImageNonComposite
executable:     /usr/bin/xembedsniproxy
global_pid:     2780
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SNIProxy::getImageNonComposite at ../../xembed-sni-proxy/sniproxy.cpp:234
 #1 SNIProxy::update at ../../xembed-sni-proxy/sniproxy.cpp:193
 #2 FdoSelectionManager::nativeEventFilter at ../../xembed-sni-proxy/fdoselectionmanager.cpp:134
 #3 QAbstractEventDispatcher::filterNativeEvent at kernel/qabstracteventdispatcher.cpp:460
 #4 QXcbConnection::handleXcbEvent at qxcbconnection.cpp:997
 #5 QXcbConnection::processXcbEvents at qxcbconnection.cpp:1487
 #6 QObject::event at kernel/qobject.cpp:1246
 #7 QCoreApplication::notify at kernel/qcoreapplication.cpp:1038
 #8 QCoreApplication::notifyInternal at kernel/qcoreapplication.cpp:965
 #9 QCoreApplication::sendEvent at kernel/qcoreapplication.h:224

Comment 1 Steven A. Falco 2015-11-11 14:10:31 UTC
Created attachment 1092751 [details]
File: backtrace

Comment 2 Steven A. Falco 2015-11-11 14:10:32 UTC
Created attachment 1092752 [details]
File: cgroup

Comment 3 Steven A. Falco 2015-11-11 14:10:33 UTC
Created attachment 1092753 [details]
File: core_backtrace

Comment 4 Steven A. Falco 2015-11-11 14:10:34 UTC
Created attachment 1092754 [details]
File: dso_list

Comment 5 Steven A. Falco 2015-11-11 14:10:36 UTC
Created attachment 1092755 [details]
File: environ

Comment 6 Steven A. Falco 2015-11-11 14:10:37 UTC
Created attachment 1092756 [details]
File: exploitable

Comment 7 Steven A. Falco 2015-11-11 14:10:38 UTC
Created attachment 1092757 [details]
File: limits

Comment 8 Steven A. Falco 2015-11-11 14:10:39 UTC
Created attachment 1092758 [details]
File: maps

Comment 9 Steven A. Falco 2015-11-11 14:10:40 UTC
Created attachment 1092759 [details]
File: mountinfo

Comment 10 Steven A. Falco 2015-11-11 14:10:42 UTC
Created attachment 1092760 [details]
File: namespaces

Comment 11 Steven A. Falco 2015-11-11 14:10:43 UTC
Created attachment 1092761 [details]
File: open_fds

Comment 12 Steven A. Falco 2015-11-11 14:10:44 UTC
Created attachment 1092762 [details]
File: proc_pid_status

Comment 13 Steven A. Falco 2015-11-11 14:10:45 UTC
Created attachment 1092763 [details]
File: var_log_messages

Comment 14 Artem 2016-01-26 19:52:26 UTC
Problem remain on plasma-workspace-5.5.3-4.fc23.x86_64

Comment 15 Dan Mossor [danofsatx] 2016-02-09 17:22:16 UTC
Still with 5.5.4-2

{   "signal": 11
,   "executable": "/usr/bin/xembedsniproxy"
,   "only_crash_thread": true
,   "stacktrace":
      [ {   "crash_thread": true
        ,   "frames":
              [ {   "address": 94745673014981
                ,   "build_id": "838d505b2ec760b8d2e0cc27d49c9df5265c849a"
                ,   "build_id_offset": 65221
                ,   "function_name": "SNIProxy::getImageNonComposite() const"
                ,   "file_name": "/usr/bin/xembedsniproxy"
                }
              , {   "address": 94745673015719
                ,   "build_id": "838d505b2ec760b8d2e0cc27d49c9df5265c849a"
                ,   "build_id_offset": 65959
                ,   "function_name": "SNIProxy::update()"
                ,   "file_name": "/usr/bin/xembedsniproxy"
                }
              , {   "address": 94745673002569
                ,   "build_id": "838d505b2ec760b8d2e0cc27d49c9df5265c849a"
                ,   "build_id_offset": 52809
                ,   "function_name": "FdoSelectionManager::nativeEventFilter(QByteArray const&, void*, long*)"
                ,   "file_name": "/usr/bin/xembedsniproxy"
                }
              , {   "address": 140575886225503
                ,   "build_id": "752d5577a96d64dd73f0dcb49d7a779f5480c8e1"
                ,   "build_id_offset": 2625631
                ,   "function_name": "QAbstractEventDispatcher::filterNativeEvent(QByteArray const&, void*, long*)"
                ,   "file_name": "/usr/lib64/libQt5Core.so.5.5.1"
                }
              , {   "address": 140575613793588
                ,   "build_id": "80df9e46b36ac6c517f3c03014e6e1968084f91f"
                ,   "build_id_offset": 238900
                ,   "function_name": "QXcbConnection::handleXcbEvent(xcb_generic_event_t*)"
                ,   "file_name": "/usr/lib64/libQt5XcbQpa.so.5.5.1"
                }
              , {   "address": 140575613797427
                ,   "build_id": "80df9e46b36ac6c517f3c03014e6e1968084f91f"
                ,   "build_id_offset": 242739
                ,   "function_name": "QXcbConnection::processXcbEvents()"
                ,   "file_name": "/usr/lib64/libQt5XcbQpa.so.5.5.1"
                }
              , {   "address": 140575886434657
                ,   "build_id": "752d5577a96d64dd73f0dcb49d7a779f5480c8e1"
                ,   "build_id_offset": 2834785
                ,   "function_name": "QObject::event(QEvent*)"
                ,   "file_name": "/usr/lib64/libQt5Core.so.5.5.1"
                }
              , {   "address": 140575886239241
                ,   "build_id": "752d5577a96d64dd73f0dcb49d7a779f5480c8e1"
                ,   "build_id_offset": 2639369
                ,   "function_name": "QCoreApplication::notify(QObject*, QEvent*)"
                ,   "file_name": "/usr/lib64/libQt5Core.so.5.5.1"
                }
              , {   "address": 140575886239547
                ,   "build_id": "752d5577a96d64dd73f0dcb49d7a779f5480c8e1"
                ,   "build_id_offset": 2639675
                ,   "function_name": "QCoreApplication::notifyInternal(QObject*, QEvent*)"
                ,   "file_name": "/usr/lib64/libQt5Core.so.5.5.1"
                }
              , {   "address": 140575886248758
                ,   "build_id": "752d5577a96d64dd73f0dcb49d7a779f5480c8e1"
                ,   "build_id_offset": 2648886
                ,   "function_name": "QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*)"
                ,   "file_name": "/usr/lib64/libQt5Core.so.5.5.1"
                }
              , {   "address": 140575886592675
                ,   "build_id": "752d5577a96d64dd73f0dcb49d7a779f5480c8e1"
                ,   "build_id_offset": 2992803
                ,   "function_name": "postEventSourceDispatch(_GSource*, int (*)(void*), void*)"
                ,   "file_name": "/usr/lib64/libQt5Core.so.5.5.1"
                }
              , {   "address": 140575839452730
                ,   "build_id": "a525646d5c1f4e0242bfe2e744734b2dcb5be57f"
                ,   "build_id_offset": 302650
                ,   "function_name": "g_main_context_dispatch"
                ,   "file_name": "/usr/lib64/libglib-2.0.so.0.4600.2"
                }
              , {   "address": 140575839453648
                ,   "build_id": "a525646d5c1f4e0242bfe2e744734b2dcb5be57f"
                ,   "build_id_offset": 303568
                ,   "function_name": "g_main_context_iterate.isra.29"
                ,   "file_name": "/usr/lib64/libglib-2.0.so.0.4600.2"
                }
              , {   "address": 140575839453820
                ,   "build_id": "a525646d5c1f4e0242bfe2e744734b2dcb5be57f"
                ,   "build_id_offset": 303740
                ,   "function_name": "g_main_context_iteration"
                ,   "file_name": "/usr/lib64/libglib-2.0.so.0.4600.2"
                }
              , {   "address": 140575886593711
                ,   "build_id": "752d5577a96d64dd73f0dcb49d7a779f5480c8e1"
                ,   "build_id_offset": 2993839
                ,   "function_name": "QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)"
                ,   "file_name": "/usr/lib64/libQt5Core.so.5.5.1"
                }
              , {   "address": 140575886229194
                ,   "build_id": "752d5577a96d64dd73f0dcb49d7a779f5480c8e1"
                ,   "build_id_offset": 2629322
                ,   "function_name": "QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)"
                ,   "file_name": "/usr/lib64/libQt5Core.so.5.5.1"
                }
              , {   "address": 140575886262188
                ,   "build_id": "752d5577a96d64dd73f0dcb49d7a779f5480c8e1"
                ,   "build_id_offset": 2662316
                ,   "function_name": "QCoreApplication::exec()"
                ,   "file_name": "/usr/lib64/libQt5Core.so.5.5.1"
                }
              , {   "address": 94745672991018
                ,   "build_id": "838d505b2ec760b8d2e0cc27d49c9df5265c849a"
                ,   "build_id_offset": 41258
                ,   "function_name": "main"
                ,   "file_name": "/usr/bin/xembedsniproxy"
                } ]
        } ]
}

Comment 16 Raman Gupta 2016-03-21 14:06:01 UTC
Still have this issue (occasionally) on 5.5.5.4.fc23.

Comment 17 Vitalii Cherniak 2016-04-27 18:45:36 UTC
*** Bug 1331112 has been marked as a duplicate of this bug. ***

Comment 18 Paulim_hed 2016-05-10 06:24:21 UTC
*** Bug 1334585 has been marked as a duplicate of this bug. ***

Comment 19 Rex Dieter 2016-05-11 17:30:22 UTC
*** Bug 1335265 has been marked as a duplicate of this bug. ***

Comment 20 khaled bennaaman 2016-06-04 22:52:37 UTC
*** Bug 1342760 has been marked as a duplicate of this bug. ***

Comment 21 gwaewion 2016-06-20 06:33:43 UTC
*** Bug 1348081 has been marked as a duplicate of this bug. ***

Comment 22 Oliver Sampson 2016-07-20 08:18:59 UTC
Similar problem has been detected:

At reboot, this crash occured and also lost the display preferences. Instead of a shared desktop across two monitors, the monitors are unified.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/xembedsniproxy
crash_function: SNIProxy::getImageNonComposite
executable:     /usr/bin/xembedsniproxy
global_pid:     1682
kernel:         4.6.4-201.fc23.x86_64
package:        plasma-workspace-5.6.5-1.fc23
reason:         xembedsniproxy killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 23 Fedora End Of Life 2016-11-24 13:18:18 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 24 Fedora End Of Life 2016-12-20 15:40:45 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.